from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XViewSplitable(XInterface, Protocol):
    def getIsWindowSplit(self) -> bool: ...
    def getSplitHorizontal(self) -> int: ...
    def getSplitVertical(self) -> int: ...
    def getSplitColumn(self) -> int: ...
    def getSplitRow(self) -> int: ...
    def splitAtPosition(self, nPixelX: int, nPixelY: int) -> None: ...
